import { FastJsonListener, FastJsonData } from './types';
export declare class Node {
    name: string;
    children: Map<string, Node>;
    parent?: Node;
    listeners: FastJsonListener[];
    constructor(name: string, parent?: Node);
    createChild(name: string): Node;
    getChild(name: string): Node | undefined;
    createOrGetChild(name: string): Node;
    addListeners(listeners: FastJsonListener[] | FastJsonListener): void;
    hasListeners(): boolean;
    callListeners(data: FastJsonData): void;
    getPath(): string[];
    clone(): Node;
}
